%ifnarch s390x
%bcond_without check
%endif

%global goipath         github.com/magiconair/properties
Version:                1.8.4

%gometa

%global common_description %{expand:
Properties is a Go library for reading and writing properties files.

It supports reading from multiple files or URLs and Spring style recursive
property expansion of expressions like ${key} to their corresponding value.
Value expressions can refer to other keys like in ${key} or to environment
variables like in ${USER}. Filenames can also contain environment variables like
in /home/${USER}/myapp.properties.

Properties can be decoded into structs, maps, arrays and values through struct
tags.

Comments and the order of keys are preserved. Comments can be modified and can
be written to the output.

The properties library supports both ISO-8859-1 and UTF-8 encoded data.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:    1%{?dist}
Summary:        Java properties scanner for Go

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock
Patch0:         0001-Properly-compare-versions-equal-or-over-to-1.15-in-T.patch

%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P0 -p1
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
